#!/usr/local/bin/python
#
# Description: 
# evaluate the results from 1_run_test.py 
# which are all located in results
# and generate meaningful output data
# (e.g. gnuplot files) 

import string, sys


# below is just sample python. 
# Please delete this and start the script here.
# If no arguments were given, print a helpful message
if len(sys.argv)==1:
    print 'Usage: celsius temp1 temp2 ...'
    sys.exit(0)

# Loop over the arguments
for i in sys.argv[1:]:
    try: 
        fahrenheit=float(string.atoi(i))
    except string.atoi_error:
     print repr(i), "not a numeric value"
    else:
     celsius=(fahrenheit-32)*5.0/9.0
     print '%i\260F = %i\260C' % (int(fahrenheit), int(celsius+.5))

